import React, { Component } from "react";
import { render } from "react-dom";
import { Provider } from "react-redux";
import TalentUIBootstrap from "./root-class";
import configureStore from "./configure-store";

export var kickoff = function kickoff(reducers, loader) {
    var store = configureStore(reducers);
    return function (app) {
        render(React.createElement(
            Provider,
            { store: store },
            React.createElement(TalentUIBootstrap, { app: app, loader: loader })
        ), document.getElementById("bsMain"));
    };
};