function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import { createStore, applyMiddleware, combineReducers } from 'redux';

export default function ConfigureStore(reducers, initialState) {
    var middleware = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

    var reducer = combineReducers(reducers);
    return createStore(reducer, initialState, applyMiddleware.apply(undefined, _toConsumableArray(middleware)));
}